Scrub - Open API

auth

Endpoint:https://odoopi.usescrub.io/

Authentication and session management


Login

POST
https://odoopi.usescrub.io
/api/v1/auth/login

Authenticate with email and password. Returns a JWT access token (and optional refresh token) for dashboard sessions.

LoginRequest Body

  • emailstring · email · required
    Example: user@example.com
  • passwordstring · required
    Example: securepassword123

LoginResponses

    • access_tokenstring
    • refresh_tokenstring
    • token_typestring
      Example: bearer
    • userobject

Get authenticated user

GET
https://odoopi.usescrub.io
/api/v1/auth/me

Returns the current user for a valid JWT access token.

Get authenticated userResponses

    • idinteger
    • emailstring
    • usernamestring
    • full_namestring
    • phonestring
    • companystring
    • company_sizestring
    • industrystring
    • rolestring
    • countrystring
    • is_activeboolean
    • is_verifiedboolean
    • created_atstring · date-time
    • last_login_atstring · date-time

Refresh token

POST
https://odoopi.usescrub.io
/api/v1/auth/refresh

Exchange a refresh token for a new access token.

Refresh tokenRequest Body

  • refresh_tokenstring · required

Refresh tokenResponses

    • access_tokenstring
    • refresh_tokenstring
    • token_typestring
      Example: bearer
    • userobject